<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 14 dic 2022 13:15:24 by Hibernate Tools 6.1.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class catalog="emphb" name="modelo.Vendedor" optimistic-lock="none" table="vendedor">
        <id name="id" type="java.lang.Integer">
            <column name="id"/>
            <generator class="identity"/>
        </id>
        <property name="nombre" type="string">
            <column length="50" name="nombre" not-null="true"/>
        </property>
        <property name="fechaIngreso" type="date">
            <column length="10" name="fecha_ingreso" not-null="true"/>
        </property>
        <property name="salario" type="float">
            <column name="salario" not-null="true" precision="12" scale="0"/>
        </property>
    </class>
</hibernate-mapping>
